#ifndef CONTROLLER_USER_INFO_H
#define CONTROLLER_USER_INFO_H

#include "view_user_info.h"
#include "session_manager.h"

class controller_user_info
{
public:
  controller_user_info(view_user_info *view, session_manager *session, Gtk::Window *container);
private:
  view_user_info *view;
  session_manager *sesion;
  Gtk::Window *container;
  void load_info();
  void add_controlers();
  void on_button_clicked_add();
  void on_button_clicked_remove();
  std::string get_first(std::string &info);
};

#endif // CONTROLLER_USER_INFO_H
